=== debian/changelog ===
pcsx2 (1.6.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113393)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Oct 2025 21:00:13 +0300

pcsx2 (1.6.0+dfsg-3) unstable; urgency=medium

  * Team Upload
  * Ack NMU, thanks
  * Tweak d/watch to only track stable (=even-numbered) releases

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Dec 2024 15:57:26 +0100

pcsx2 (1.6.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Mate Kukri ]
  * d/p/cpp_error_ftbfs.patch: fix FTBFS by adding missing include for
    std::*_error types. (LP: #2048072) (Closes: #1068194)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 11 Apr 2024 23:36:38 +0200

pcsx2 (1.6.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Switch to wxWidgets 3.2 (Closes: #1019817)
  * Bump Standards-Version to 4.6.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 23 Oct 2022 15:00:12 +0000

pcsx2 (1.6.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Disable the dev9ghzdrk plugin which we remove from the source
  * Switch to debhelper 13
  * Set Rules-Requires-Root: no
  * Update debian/doc-base.pcsx2-doc
  * Do not link with -Wl,--as-needed, it is now the default
  * Remove trailing whitespace from debian/control
  * Update debian/source/lintian-overrides
  * Bump Standards-Version to 4.5.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 24 Jun 2020 22:59:08 +0000
